@use "@experiments-labs/rise_ui/src/stylesheets/core/mixins" as m;

.gp-timeline-entry {
  display: flex;
  padding-right: var(--spacer-default);
  margin-top: var(--spacer-default);
  margin-bottom: var(--spacer-large);
  margin-left: var(--spacer-default);
  gap: var(--spacer-default);

  &:last-child {
    margin-bottom: var(--spacer-default);
  }

  &__icon{
    width: 2rem;
    height: 2rem;
    flex: none;
    padding: var(--spacer-small);
    border-radius: 50%;
    margin-top: var(--spacer-small);
    background-color: var(--color-blue-alt);
    color: var(--color-blue);
    font-size: var(--font-size-large);
  }

  &__wrapper {
    flex-grow: 1;
    padding: var(--spacer-small) var(--spacer-default);
    border-radius: var(--border-radius);
    background-color: var(--component-content-background)
  }

  &__title {
    margin: 0;
    font-size: var(--font-size-base);
    font-weight: var(--font-weight-medium);
  }

  &__subject {
    display: inline-flex;
    padding: var(--spacer-small);
    border-radius: var(--border-radius-small);
    background-color: var(--component-content-background-alt);
    gap: var(--spacer-small);
  }

  &__body {
    &--with-comments {
      display: grid;
      grid-template-areas:
        "details"
        "comments"
      ;

      @include m.respond-to('medium-up') {
        gap: var(--spacer-default);
        grid-template-areas: "comments details";
        grid-template-columns: 1fr 1fr;
      }
    }
  }

  &__comments {
    grid-area: comments;
  }

  &__content {
    grid-area: details;
  }
}
